# ArthSwap V3

[![Lint](https://github.com/ArthSwap/arthswap-v3-core/actions/workflows/lint.yml/badge.svg)](https://github.com/ArthSwap/arthswap-v3-core/actions/workflows/lint.yml)
[![Tests](https://github.com/ArthSwap/arthswap-v3-core/actions/workflows/tests.yml/badge.svg)](https://github.com/ArthSwap/arthswap-v3-core/actions/workflows/tests.yml)
[![Fuzz Testing](https://github.com/ArthSwap/arthswap-v3-core/actions/workflows/fuzz-testing.yml/badge.svg)](https://github.com/ArthSwap/arthswap-v3-core/actions/workflows/fuzz-testing.yml)
[![npm version](https://img.shields.io/npm/v/@arth-s/v3-core/latest.svg)](https://www.npmjs.com/package/@arth-s/v3-core/v/latest)

This repository contains the core smart contracts for the ArthSwap V3 Protocol.
For higher level contracts, see the [arthswap-v3-periphery](https://github.com/ArthSwap/arthswap-v3-periphery)
repository.

## Local deployment

In order to deploy this code to a local testnet, you should install the npm package
`@arth-s/v3-core`
and import the factory bytecode located at
`@arth-s/v3-core/artifacts/contracts/ArthSwapV3Factory.sol/ArthSwapV3Factory.json`.
For example:

```typescript
import {
  abi as FACTORY_ABI,
  bytecode as FACTORY_BYTECODE,
} from '@arth-s/v3-core/artifacts/contracts/ArthSwapV3Factory.sol/ArthSwapV3Factory.json'

// deploy the bytecode
```

This will ensure that you are testing against the same bytecode that is deployed to
mainnet and public testnets, and all ArthSwap code will correctly interoperate with
your local deployment.

## Using solidity interfaces

The ArthSwap v3 interfaces are available for import into solidity smart contracts
via the npm artifact `@arth-s/v3-core`, e.g.:

```solidity
import '@arth-s/v3-core/contracts/interfaces/IArthSwapV3Pool.sol';

contract MyContract {
  IArthSwapV3Pool pool;

  function doSomethingWithPool() {
    // pool.swap(...);
  }
}

```
