// SPDX-License-Identifier: GPL-2.0-or-later
pragma solidity >=0.5.0;

import './pool/IArthSwapV3PoolImmutables.sol';
import './pool/IArthSwapV3PoolState.sol';
import './pool/IArthSwapV3PoolDerivedState.sol';
import './pool/IArthSwapV3PoolActions.sol';
import './pool/IArthSwapV3PoolOwnerActions.sol';
import './pool/IArthSwapV3PoolEvents.sol';

/// @title The interface for a ArthSwap V3 Pool
/// @notice A ArthSwap pool facilitates swapping and automated market making between any two assets that strictly conform
/// to the ERC20 specification
/// @dev The pool interface is broken up into many smaller pieces
interface IArthSwapV3Pool is
    IArthSwapV3PoolImmutables,
    IArthSwapV3PoolState,
    IArthSwapV3PoolDerivedState,
    IArthSwapV3PoolActions,
    IArthSwapV3PoolOwnerActions,
    IArthSwapV3PoolEvents
{

}
